<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_06_utility() */
/* タブのスラグ haumenu_define_tab_slug_06_utility() */
/* $option_name 設定名 haumenu_define_option_name_06_utility() */
/* get_option GetOP06_utility() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_06_utility( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_utility';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_06_utility();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		$set_name . 'use-login-bg-image' => array(
			'.login-bg-image-wrapper', // 背景画像のアップロード
		),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_06_utility', 20 );

/*** 設定を適用する ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_enable_login_settings(){
//項目の追加
	add_settings_field(
		'define-login-setting', // 設定名
		__('Apply all settings','hima-art-utility'), // 設定タイトル
		'haumenu_enable_login_settings', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_06_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_06_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_enable_login_settings' );

/* 入力フォーム */
function haumenu_enable_login_settings() {
	$set_name = haumenu_define_option_name_06_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'define-login-setting'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('All settings on this setting screen will be reflected on the login screen.','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-font-red"><?php esc_html_e('If this setting is disabled, even if "Applying styles to the Admin screen" is enabled, the styles will not be applied to the admin panel.','hima-art-utility'); ?></p>
<?php
}

/*** 背景色の指定 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_login_screen_bg_color(){
//項目の追加
	add_settings_field(
		'login-screen-bg-color', // 設定名
		__('Background Color','hima-art-utility'), // 設定タイトル
		'haumenu_login_screen_bg_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_06_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_06_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_login_screen_bg_color' );

/* 入力フォーム */
/***** sanitize_hex_colorでサニタイズする *****/
function haumenu_login_screen_bg_color() {
	$set_name = haumenu_define_option_name_06_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'login-screen-bg-color'; //個別配列名
?>
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="" data-default-color="">
</label>
<p><?php esc_html_e('Specifies the background color','hima-art-utility'); ?></p>
<p><?php esc_html_e('These settings are applied in the following order, so if you want them to be the same as the display screen, do not specify this item.','hima-art-utility'); ?></p>
<ol>
	<li><?php esc_html_e('The items specified in this section','hima-art-utility'); ?></li>
	<li><?php esc_html_e('What you specified in the block theme site editor','hima-art-utility'); ?></li>
	<li><?php esc_html_e('The settings specified in the Classic themes theme customizer.','hima-art-utility'); ?></li>
</ol>
<p class="haup-admin-font-red"><?php esc_html_e('If background images are enabled, they take precedence.','hima-art-utility'); ?></p>
<p class="haup-admin-font-red"><?php esc_html_e('This color will also be used as the background color of the admin panel if you enable "Applying styles to the Admin screen".','hima-art-utility'); ?></p>
<?php
}

/*** 背景画像を使用する ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_is_use_login_bg_image(){
//項目の追加
	add_settings_field(
		'use-login-bg-image', // 設定名
		__('Use a background image','hima-art-utility'), // 設定タイトル
		'haumenu_is_use_login_bg_image', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_06_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_06_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_is_use_login_bg_image' );

/* 入力フォーム */
function haumenu_is_use_login_bg_image() {
	$set_name = haumenu_define_option_name_06_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'use-login-bg-image'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Display a background image over the entire login page','hima-art-utility'); ?></p>
	<p><?php esc_html_e('The image set as the background will be scaled to fit the screen size, centered on the center.','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-font-red"><?php esc_html_e('This color will also be used as the background image for the admin panel if you enable "Applying styles to the Admin screen".','hima-art-utility'); ?></p>
<?php
}

/*** 背景画像のアップロード ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_login_screen_bg_image(){
//項目の追加
	add_settings_field(
		'login-bg-image', // 設定名
		__('Background image setting','hima-art-utility'), // 設定タイトル
		'haumenu_login_screen_bg_image', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_06_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_06_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_login_screen_bg_image' );

/* 入力フォーム */
function haumenu_login_screen_bg_image() {
	$set_name = haumenu_define_option_name_06_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'login-bg-image'; //個別配列名

	if(isset($options[ $option_name ])){
		$data = $options[ $option_name ];
	}else{
		$data = '';
	}

	//現在の画像があれば表示
	if(!empty($options[ $option_name ])){
		$message_before = __('Currently registered images(','hima-art-utility');
		$message_after = __(')','hima-art-utility');
		$set_img = '<p>';
		$set_img .= $message_before;
		$set_img .= $options[ $option_name ];
		$set_img .= $message_after;
		$set_img .= '<p>';
		$set_img .= '<img src="'.$options[ $option_name ].'" style="max-width:300px;">';
	}else{
		$set_img = '';
	}

	//ボタン文字列
		$custom_uploader_text = __('Choose Image','hima-art-utility');
	//選択後（保存前）の画像上のテキスト
		$new_image_message = __('Newly selected image','hima-art-utility');
?>
<div class="login-bg-image-wrapper">
<label>
	<p><?php esc_html_e('Specifies the image to use as the background','hima-art-utility'); ?></p>
</label>
<p><?php esc_html_e('These settings are applied in the following order, so if you want them to be the same as the display screen, do not specify this item.','hima-art-utility'); ?></p>
<ol>
	<li><?php esc_html_e('The items specified in this section','hima-art-utility'); ?></li>
	<li><?php esc_html_e('What you specified in the block theme site editor','hima-art-utility'); ?></li>
	<li><?php esc_html_e('The settings specified in the Classic themes theme customizer.','hima-art-utility'); ?></li>
</ol>
<p><?php esc_html_e('By specifying an image created in full HD size (1920px x 1080px), you can minimize the scaling of the image set as the background on a typical screen.','hima-art-utility'); ?></p>
<input id="<?php echo 'upload_'.esc_html($set_name).esc_html($option_name); ?>" type="text" size="36" name="<?php echo esc_html($set_name) . '[' .esc_html($option_name). ']'; ?>" value="<?php echo esc_attr($data); ?>" /> 
<input id="<?php echo 'upload_image_button_'.esc_html($set_name).esc_html($option_name); ?>" class="button" type="button" value="<?php echo esc_html($custom_uploader_text); ?>" />
<div style="margin-top:20px">
<?php echo wp_kses_post($set_img); ?>
<div id="<?php echo 'image_preview_' .esc_html($set_name).esc_html($option_name); ?>"></div>
</div>
</div>
<?php
	// JavaScriptの呼び出し
	haumenu_enqueue_image_uploader_script_url($set_name, $option_name, $custom_uploader_text, $new_image_message);
}

/*** フォームの背景色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_login_form_bg_color(){
//項目の追加
	add_settings_field(
		'login-form-bg-color', // 設定名
		__('Login Form Color','hima-art-utility'), // 設定タイトル
		'haumenu_login_form_bg_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_06_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_06_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_login_form_bg_color' );

/* 入力フォーム */
/***** sanitize_hex_colorでサニタイズする *****/
function haumenu_login_form_bg_color() {
	$set_name = haumenu_define_option_name_06_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'login-form-bg-color'; //個別配列名
?>
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="" data-default-color="">
</label>
<p><?php esc_html_e('Specifies the background color of the login form and language selection field','hima-art-utility'); ?></p>
<p><?php esc_html_e('The form width is slightly increased to make the background color and form elements more visible.','hima-art-utility'); ?></p>
<?php
}

/*** フォーム内の文字色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_login_form_text_color(){
//項目の追加
	add_settings_field(
		'login-form-text-color', // 設定名
		'', // 設定タイトル
		'haumenu_login_form_text_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_06_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_06_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_login_form_text_color' );

/* 入力フォーム */
/***** sanitize_hex_colorでサニタイズする *****/
function haumenu_login_form_text_color() {
	$set_name = haumenu_define_option_name_06_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'login-form-text-color'; //個別配列名
?>
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="" data-default-color="">
</label>
<p><?php esc_html_e('Specifies the text color in the login form.','hima-art-utility'); ?></p>
<?php
}

/*** 欄外の文字色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_login_panel_text_color(){
//項目の追加
	add_settings_field(
		'login-panel-text-color', // 設定名
		'', // 設定タイトル
		'haumenu_login_panel_text_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_06_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_06_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_login_panel_text_color' );

/* 入力フォーム */
/***** sanitize_hex_colorでサニタイズする *****/
function haumenu_login_panel_text_color() {
	$set_name = haumenu_define_option_name_06_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'login-panel-text-color'; //個別配列名
?>
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="" data-default-color="">
</label>
<p><?php esc_html_e('Specifies the color of the text outside the login form','hima-art-utility'); ?></p>
<p class="haup-admin-font-red"><?php esc_html_e('If you enable "Applying styles to the Admin screen" this color will also be used for the text color outside the admin panel, the text color of buttons, the border color of buttons, and so on.','hima-art-utility'); ?></p>
<?php
}

/*** 送信ボタンの文字色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_login_submit_button_text_color(){
//項目の追加
	add_settings_field(
		'login-submit-button-text-color', // 設定名
		'', // 設定タイトル
		'haumenu_login_submit_button_text_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_06_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_06_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_login_submit_button_text_color' );

/* 入力フォーム */
/***** sanitize_hex_colorでサニタイズする *****/
function haumenu_login_submit_button_text_color() {
	$set_name = haumenu_define_option_name_06_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'login-submit-button-text-color'; //個別配列名
?>
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="" data-default-color="">
</label>
<p><?php esc_html_e('Sets the login button text color','hima-art-utility'); ?></p>
<?php
}

/*** 送信ボタンのボタン色 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_login_submit_button_bg_color(){
//項目の追加
	add_settings_field(
		'login-submit-button-bg-color', // 設定名
		'', // 設定タイトル
		'haumenu_login_submit_button_bg_color', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_06_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_06_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_login_submit_button_bg_color' );

/* 入力フォーム */
/***** sanitize_hex_colorでサニタイズする *****/
function haumenu_login_submit_button_bg_color() {
	$set_name = haumenu_define_option_name_06_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'login-submit-button-bg-color'; //個別配列名
?>
<label>
	<input name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="color-picker-hex" type="text" id="<?php echo esc_html($set_name . $option_name); ?>" maxlength="7" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>" placeholder="" data-default-color="">
</label>
<p><?php esc_html_e('Sets the login button color','hima-art-utility'); ?></p>
<?php
}

/*** ロゴ画像のアップロード ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_login_screen_logo_image(){
//項目の追加
	add_settings_field(
		'login-logo-image', // 設定名
		__('Logo image setting','hima-art-utility'), // 設定タイトル
		'haumenu_login_screen_logo_image', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_06_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_06_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_login_screen_logo_image' );

/* 入力フォーム */
function haumenu_login_screen_logo_image() {
	$set_name = haumenu_define_option_name_06_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'login-logo-image'; //個別配列名

	if(isset($options[ $option_name ])){
		$data = $options[ $option_name ];
	}else{
		$data = '';
	}

	//現在の画像があれば表示
	if(!empty($options[ $option_name ])){
		$message_before = __('Currently registered images(','hima-art-utility');
		$message_after = __(')','hima-art-utility');
		$set_img = '<p>';
		$set_img .= $message_before;
		$set_img .= $options[ $option_name ];
		$set_img .= $message_after;
		$set_img .= '<p>';
		$set_img .= '<img src="'.$options[ $option_name ].'" style="max-width:300px;">';
	}else{
		$set_img = '';
	}

	//ボタン文字列
		$custom_uploader_text = __('Choose Image','hima-art-utility');
	//選択後（保存前）の画像上のテキスト
		$new_image_message = __('Newly selected image','hima-art-utility');
?>
<label>
	<p><?php esc_html_e('Specifies the image to use as the login logo','hima-art-utility'); ?></p>
</label>
<p><?php esc_html_e('The image will be automatically resized to a width of 320px and a height of 84px, with the center point as the focal point.','hima-art-utility'); ?></p>
<input id="<?php echo 'upload_'.esc_html($set_name).esc_html($option_name); ?>" type="text" size="36" name="<?php echo esc_html($set_name) . '[' .esc_html($option_name). ']'; ?>" value="<?php echo esc_attr($data); ?>" /> 
<input id="<?php echo 'upload_image_button_'.esc_html($set_name).esc_html($option_name); ?>" class="button" type="button" value="<?php echo esc_html($custom_uploader_text); ?>" />
<div style="margin-top:20px">
<?php echo wp_kses_post($set_img); ?>
<div id="<?php echo 'image_preview_' .esc_html($set_name).esc_html($option_name); ?>"></div>
</div>
<?php
	// JavaScriptの呼び出し
	haumenu_enqueue_image_uploader_script_url($set_name, $option_name, $custom_uploader_text, $new_image_message);
}

/*** ロゴリンクを変更 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_site_home_logo_link(){
//項目の追加
	add_settings_field(
		'change-login-logo-link', // 設定名
		__('Changed the logo link to the site home page','hima-art-utility'), // 設定タイトル
		'haumenu_site_home_logo_link', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_06_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_06_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_site_home_logo_link' );

/* 入力フォーム */
function haumenu_site_home_logo_link() {
	$set_name = haumenu_define_option_name_06_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'change-login-logo-link'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Change the link destination of the logo image from the official WordPress page to the sites homepage and change the title to the site title.','hima-art-utility'); ?></p>
</label>
<?php
}

/*** 管理画面にもスタイルを適用する ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_admin_style_same_as_login(){
//項目の追加
	add_settings_field(
		'admin-style-same-as-login', // 設定名
		__('Applying styles to the Admin screen','hima-art-utility'), // 設定タイトル
		'haumenu_admin_style_same_as_login', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_06_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_06_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_admin_style_same_as_login' );

/* 入力フォーム */
function haumenu_admin_style_same_as_login() {
	$set_name = haumenu_define_option_name_06_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'admin-style-same-as-login'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Apply the login screen style settings to the admin screen as well','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-font-red"><?php esc_html_e('Although we try to apply the changes while checking the screen, please note that in some cases the contents may be hidden.','hima-art-utility'); ?></p>
<p class="haup-admin-bk"><?php esc_html_e('The admin screen uses the "background color," "background image," and "color of text outside the login form," and the background image takes precedence over the background color.','hima-art-utility'); ?></p>
<details class="accordion"  style="margin: 5px 0px 0px 0px;overflow: hidden;">
<summary class="accordion__title" style="cursor: pointer;"><?php esc_html_e('Scope of application and precautions for this function','hima-art-utility'); ?></summary>
<div class="accordion__content">
<p><?php esc_html_e('This feature applies only to the following pages.','hima-art-utility'); ?></p>
<details class="accordion"  style="margin: 5px 0px 0px 0px;overflow: hidden;">
	<summary class="accordion__title" style="cursor: pointer;"><?php esc_html_e('Display a list of pages to which the application applies.','hima-art-utility'); ?></summary>
	<div class="accordion__content">
		<ul style="list-style:decimal;padding-left: 1rem;">
			<li><?php esc_html_e('Dashboard','hima-art-utility'); ?></li>
			<li><?php esc_html_e('List (Posts, Pages, Custom Post Types, Patterns)','hima-art-utility'); ?></li>
			<li><?php esc_html_e('List of comments','hima-art-utility'); ?></li>
			<li><?php esc_html_e('Media Library','hima-art-utility'); ?></li>
			<li><?php esc_html_e('Add media','hima-art-utility'); ?></li>
			<li><?php esc_html_e('User List','hima-art-utility'); ?></li>
			<li><?php esc_html_e('User Profile','hima-art-utility'); ?></li>
			<li><?php esc_html_e('Edit Profile (Edit another persons profile)','hima-art-utility'); ?></li>
			<li><?php esc_html_e('Add User','hima-art-utility'); ?></li>
			<li><?php esc_html_e('Plugin List','hima-art-utility'); ?></li>
			<li><?php esc_html_e('Theme List','hima-art-utility'); ?></li>
		</ul>
	</div>
</details>
<p>
	<span><?php esc_html_e('To change the scope of application, add the following code to the functions.php file of your enabled theme, and enable/disable the comments within the code to make the change.','hima-art-utility'); ?></span>
	<br>
	<span class="haup-admin-font-red" style="font-size:0.8rem"><?php esc_html_e('If you apply this to a screen other than those mentioned above, you will need to adjust it using CSS (since CSS classes are often applied to multiple pages, please check the standard application page as well after making any CSS changes).','hima-art-utility'); ?></span>
</p>
<?php echo wp_kses_post( haup_usage_info_change_login_style_to_admin_panel() ); ?>
</div>
</details>
<?php
}